<template>
  <v-container
    fluid
  >
    <v-row justify="center">
      <v-col
        cols="12"
        md="12"
      >
        <material-card
          color="primary"
        >
          <v-form>
            <v-container class="py-0">
              <v-row>
                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example[exampleProperty[0]]"
                    :label="exampleProperty[0]"
                    disabled
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example[exampleProperty[1]]"
                    color="purple"
                    :label="exampleProperty[1]"
                    disabled
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example[exampleProperty[2]]"
                    color="purple"
                    :label="exampleProperty[2]"
                    disabled
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="6"
                >
                  <v-text-field
                    v-model="example[exampleProperty[3]]"
                    color="purple"
                    :label="exampleProperty[3]"
                  />
                </v-col>

                <v-col

                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example[exampleProperty[4]]"
                    color="purple"
                    :label="exampleProperty[4]"
                  />
                </v-col>
                <v-col
                  cols="12"
                  md="6"
                  class="text-left"
                />
              </v-row>
            </v-container>
          </v-form>
        </material-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
// {
//     "status": "返回状态（需要规定状态数以确认是否有企业信息）",
//     "userName": "企业用户名（如BaiDu）",
//     "userCode": "企业编码（工商注册号如310115400176517）",
//      "applyTime":"申请时间"
//     "borrowerName": "企业名（如百度（中国）有限公司）",
//     "borrowerTelephone": "企业电话",
//     "borrowerAddress": "企业地址",
//     "borrowerEmail": "企业邮箱",
//     "borrowerLink": "企业天眼查链接"
// }
  export default {
    name: 'PurchaseLoanView',
    props: ['example2'],
    data () {
      return {
        exampleProperty: [],
        example: {
          borrowerName: 'BaiDu',
          lenderName: '310115400176517',
          loanId: '2021-04-13',
          amount: '百度（中国）有限公司',
          bankCard: '1231235',
        },
      }
    },
    created: function () {
      // console.log(this.example2)
      for (const key of Object.keys(this.example2)) {
        this.exampleProperty.push(key)
      }
      this.example = this.example2
    },
    beforeUpdate: function () {
      this.$parent.$data.example = Object.assign(this.example)
    },
  }
</script>
